Subject: bug#16082: bug#20499: [PROPOSED PATCH] C-x 8 shorthands for curved quotes, Euro, etc.

From: Ivan Shmakov <[email-masked]>
Date: Mon, 04 May 2015 15:20:56 +0000

severity 20499 wishlist
merge 16082 20499
thanks

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> From: Paul Eggert  Date: Sun, 3 May 2015 18:13:10 -0700

 >> Although C-x 8 lets you insert arbitrary Unicode characters, it's
 >> awkward to use this to insert commonly used symbols such as curved
 >> quotes, the Euro symbol, etc.  This patch adds simpler sequences for
 >> ISO 8859-15 characters (which includes the Euro), plus characters
 >> that are commonly found in English text and in basic math.  For
 >> example, assuming the Alt key works on your keyboard and iso-transl
 >> is loaded, one can now type "A-[" instead of "A-RET LEFT SIN TAB
 >> RET" to get the character "‘" (U+2018 LEFT SINGLE QUOTATION MARK).

	First of all, isn’t this essentially the same suggestion as the
	one of bug#16082?  (FWIW, I’ve requested the reports to be
	merged; feel free to unmerge if I’ve missed something.)

[…]

 > Shouldn't we prefer input methods instead?  We already have a
 > plethora of Latin-N-something input methods (including
 > latin-9-prefix), so why not add more characters there, instead of
 > using iso-transl?

 > I think input methods generally get less in your way.

	I tend to agree with that, but is there currently an easy way to
	switch between /two/ input methods?  For one thing, I currently
	use “no” input method for typing English /and/
	russian-typewriter to type Russian.

	With the proper Unicode quotes being available via some other
	input method, how would I configure Emacs to switch between
	/that/ input method and russian-typewriter?

	The other side of the issue is that the dashes, arrows,
	mathematical symbols, and the likes of them are cross-lingual,
	and making them available via input methods will involve
	duplication of many of the individual quail-define-rules entries
	all around leim/quail/*.el.  (If done the straightforward way;
	AIUI, anyway.)

-- 
FSF associate member #7257  http://am-1.org/~ivan/      … 3013 B6A0 230E 334A